| Version: 3.1.5

Public Member Functions | List of all members
wxFileDataObject Class Reference
Class List by Category » Clipboard and Drag & Drop

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/dataobj.h>`

Inheritance diagram for wxFileDataObject:
[legend]

## Detailed Description

wxFileDataObject is a specialization of wxDataObject for file names.

The program works with it just as if it were a list of absolute file names, but internally it uses the same format as Explorer and other compatible programs under Windows or GNOME/KDE file manager under Unix which makes it possible to receive files from them using this class.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxDataObject, wxDataObjectSimple, wxTextDataObject, wxBitmapDataObject, wxDataObject

## Public Member Functions
| wxFileDataObject ()
| Constructor. More...
void | AddFile (const wxString &file)
| Adds a file to the file list represented by this data object (Windows only). More...
const wxArrayString & | GetFilenames () const
| Returns the array of file names. More...
Public Member Functions inherited from wxDataObjectSimple
| wxDataObjectSimple (const wxDataFormat &format=wxFormatInvalid)
| Constructor accepts the supported format (none by default) which may also be set later with SetFormat(). More...
virtual bool | GetDataHere (void *buf) const
| Copy the data to the buffer, return true on success. More...
virtual size_t | GetDataSize () const
| Gets the size of our data. More...
const wxDataFormat & | GetFormat () const
| Returns the (one and only one) format supported by this object. More...
virtual bool | SetData (size_t len, const void *buf)
| Copy the data from the buffer, return true on success. More...
void | SetFormat (const wxDataFormat &format)
| Sets the supported format. More...
Public Member Functions inherited from wxDataObject
| wxDataObject ()
| Constructor. More...
virtual | ~wxDataObject ()
| Destructor. More...
virtual void | GetAllFormats (wxDataFormat *formats, Direction dir=Get) const =0
| Copies all formats supported in the given direction dir to the array pointed to by formats. More...
virtual bool | GetDataHere (const wxDataFormat &format, void *buf) const =0
| The method will write the data of the format format to the buffer buf. More...
virtual size_t | GetDataSize (const wxDataFormat &format) const =0
| Returns the data size of the given format format. More...
virtual size_t | GetFormatCount (Direction dir=Get) const =0
| Returns the number of available formats for rendering or setting the data. More...
virtual wxDataFormat | GetPreferredFormat (Direction dir=Get) const =0
| Returns the preferred format for either rendering the data (if dir is `Get`, its default value) or for setting it. More...
virtual bool | SetData (const wxDataFormat &format, size_t len, const void *buf)
| Set the data in the format format of the length len provided in the buffer buf. More...
bool | IsSupported (const wxDataFormat &format, Direction dir=Get) const
| Returns true if this format is supported. More...

## Additional Inherited Members
Public Types inherited from wxDataObject
enum | Direction { Get = 0x01 , Set = 0x02 , Both = 0x03 }

## Constructor & Destructor Documentation

## ◆ wxFileDataObject()

wxFileDataObject::wxFileDataObject | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ AddFile()

void wxFileDataObject::AddFile | ( | const wxString & | file | ) |

Adds a file to the file list represented by this data object (Windows only).

## ◆ GetFilenames()

const wxArrayString & wxFileDataObject::GetFilenames | ( |  | ) | const

Returns the array of file names.